### Method

# FwupdPlugin Device probe

since: 1.1.2

#### Declaration [src]

    gboolean
    fu_device_probe (
      FuDevice* self
      GError** error
    )

#### Description [src]

Probes a device, setting parameters on the object that does not need the device open or the interface claimed. If the device is not compatible then an error should be returned.

Available since: 1.1.2

#### Return value

Type: `gboolean`

`TRUE` for success.